Page MenuHomePhabricator

[zorg] Add Flang and MLIR PowerPC buildbot on Red Hat
ClosedPublic

Authored by zacharyselk on Jul 30 2020, 10:51 AM.

Event Timeline

zacharyselk created this revision.Jul 30 2020, 10:51 AM
zacharyselk requested review of this revision.Jul 30 2020, 10:51 AM
  • Removing explicit job count
nemanjai added inline comments.Jul 31 2020, 5:06 AM
buildbot/osuosl/master/config/builders.py
1595

Shouldn't this be --threads=256 instead of -j256?

Since we are adding another bot, we need to adjust the number of threads that are used by LIT for all the bots running on that machine. Thanks.

buildbot/osuosl/master/config/builders.py
519

Please add LLVM_LIT_ARGS=-v --threads=256

558–559

Please add LLVM_LIT_ARGS=-v --threads=256

1070

Please change this from 10 to 256.

DavidTruby resigned from this revision.Jul 31 2020, 5:51 AM
  • Adjusted lit test job numbers
gkistanova accepted this revision.Aug 3 2020, 11:48 AM

Looks Ok with one problem.

buildbot/osuosl/master/config/slaves.py
80

Did you miss a comma at the end?

This revision is now accepted and ready to land.Aug 3 2020, 11:48 AM
zacharyselk marked 2 inline comments as done.
  • Added a forgotten comma
gkistanova accepted this revision.Aug 7 2020, 9:49 PM

Thanks! Please feel free to commit.

zacharyselk accepted this revision.Aug 7 2020, 9:57 PM

Great! I don't have commit rights, so if someone would be able to commit for me that would be fantastic.

buildbot/osuosl/master/config/slaves.py
80

Yes I did, I am surprised that the Harbormaster did not complain about that. I will amend the diff.

This revision was automatically updated to reflect the committed changes.
zacharyselk reopened this revision.Aug 12 2020, 11:28 AM
This revision is now accepted and ready to land.Aug 12 2020, 11:28 AM
  • Removing explicit job count
  • Adjusted lit test job numbers
  • Added a forgotten comma
  • Removed quotes that were causing issues
This revision was automatically updated to reflect the committed changes.